JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
TableHeaderComponent::LookAndFeelMethods Struct Referenceabstract
juce_gui_basics » widgets

This abstract base class is implemented by LookAndFeel classes. More...

`#include <juce_TableHeaderComponent.h>`

Inheritance diagram for TableHeaderComponent::LookAndFeelMethods:

## Public Member Functions
virtual | ~LookAndFeelMethods ()=default
virtual void | drawTableHeaderBackground (Graphics &, TableHeaderComponent &)=0
virtual void | drawTableHeaderColumn (Graphics &, TableHeaderComponent &, const String &columnName, int columnId, int width, int height, bool isMouseOver, bool isMouseDown, int columnFlags)=0

## Detailed Description

This abstract base class is implemented by LookAndFeel classes.

## Constructor & Destructor Documentation

## ◆ ~LookAndFeelMethods()

virtual TableHeaderComponent::LookAndFeelMethods::~LookAndFeelMethods | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ drawTableHeaderBackground()

virtual void TableHeaderComponent::LookAndFeelMethods::drawTableHeaderBackground | ( | Graphics & | ,
|  | TableHeaderComponent & | )
| pure virtual

Implemented in LookAndFeel_V2, and LookAndFeel_V3.

## ◆ drawTableHeaderColumn()

virtual void TableHeaderComponent::LookAndFeelMethods::drawTableHeaderColumn | ( | Graphics & | ,
|  | TableHeaderComponent & | ,
|  | const String & | columnName,
|  | int | columnId,
|  | int | width,
|  | int | height,
|  | bool | isMouseOver,
|  | bool | isMouseDown,
|  | int | columnFlags )
| pure virtual

Implemented in LookAndFeel_V2.

The documentation for this struct was generated from the following file:

- juce_TableHeaderComponent.h